## golang-godebiancontrol-dev 0.0~git20121130

=== debian/changelog ===
golang-godebiancontrol-dev (0.0~git20121130-1) unstable; urgency=low

  * Initial release (Closes: #714457)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 29 Jun 2013 18:09:11 +0200
