=== debian/control ===
Source: golang-godebiancontrol-dev
Section: devel
Priority: extra
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), golang-go
Standards-Version: 3.9.4
Homepage: https://github.com/mstap/godebiancontrol
Vcs-Git: git://anonscm.debian.org/collab-maint/golang-godebiancontrol-dev.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/golang-godebiancontrol-dev.git;a=summary

Package: golang-godebiancontrol-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Go debian control file parser
 Parses files such as a Debian mirror’s Packages or Sources file, or any Debian
 package’s debian/control file. Follows the Debian Policy, chapter 5.1 (“Syntax
 of control files”).
 .
 This package contains the source.
