## golang-godebiancontrol-dev 0.0~git20140119

=== debian/changelog ===
golang-godebiancontrol-dev (0.0~git20140119-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to dh-golang
  * The package is now called github.com/stapelberg/godebiancontrol,
    a compat symlink was added.
  * Relicense debian/ as BSD-3-clause (matching upstream)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 19 Jan 2014 20:23:07 +0100
