=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go
+Build-Depends: debhelper (>= 9), golang-go, dh-golang
 Standards-Version: 3.9.4
 Homepage: https://github.com/mstap/godebiancontrol
 Vcs-Git: git://anonscm.debian.org/collab-maint/golang-godebiancontrol-dev.git
